Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Groovy] Class VersionComparator

    java.lang.Object
      org.codehaus.groovy.grails.plugins.VersionComparator

All Implemented Interfaces:
  java.util.Comparator

    @groovy.transform.CompileStatic
    class VersionComparator
    extends java.lang.Object

Method Summary
`int` | `compare(java.lang.String o1, java.lang.String o2)`
`protected java.lang.String` | `deSnapshot(java.lang.String version)` Removes any suffixes that indicate that the version is a kind of snapshot
`boolean` | `equals(java.lang.Object obj)`
`protected boolean` | `isSnapshot(java.lang.String version)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### compare

    int compare(java.lang.String o1, java.lang.String o2)

### deSnapshot

    @groovy.transform.CompileStatic
    protected java.lang.String deSnapshot(java.lang.String version)

  Removes any suffixes that indicate that the version is a kind of snapshot

### equals

    boolean equals(java.lang.Object obj)

### isSnapshot

    @groovy.transform.CompileStatic
    protected boolean isSnapshot(java.lang.String version)

Groovy Documentation